<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"
    "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" >

<head>
<title><?php echo($title); ?></title>
<link rel="stylesheet" type="text/css" href="disk-description.css" />
</head>

<body>
<h3><?php echo($title); ?></h3>

<p>To access the packages on this CD with 
<code class="soft-component">APT</code>, you just have to run
<kbd class="shell-cmd">apt-cdrom add</kbd> on your computer (and know how
to use <code class="program">apt-get</code>).</p>

<h4>How the contents is arranged</h4>
<p>Here is a short description of the types of the contents of this disk, 
per directory.
In brackets, you can find commands that are commonly used to handle the
files of the listed type (if you don't know how to use them,  read the
corresponding <code class="soft-component">man</code>- 
&amp; <code class="soft-component">info</code>-pages).</p>

<dl class="dirtree">

<dt><code>.disk</code></dt>
<dd><dl>

<dt class="file"><code>info</code></dt><dd>disk identification</dd>

</dl></dd>

<dt><code><?php echo($PREFIX); ?>/SRPMS.*</code></dt>
<dd><dl>

<dt class="file"><code>*.src.rpm</code></dt>
<dd>source packages 
(<kbd class="shell-cmd">rpm -ihv</kbd>, 
<kbd class="shell-cmd">rpm --rebuild</kbd>)
</dd>

</dl></dd>

<dt><code><?php echo($PREFIX); ?>/<?php echo($ARCH); ?>/RPMS.*</code></dt>
<dd><dl>

<dt class="file"><code>*.<?php echo($ARCH); ?>.rpm</code>, <code>*.noarch.rpm</code></dt>
<dd>binary packages 
(<kbd class="shell-cmd">rpm -[iUF]hv</kbd>, 
<kbd class="shell-cmd">rpm -qp</kbd>, 
<kbd class="shell-cmd">rpm -K</kbd>)
</dd>

</dl></dd>

<dt><code><?php echo($PREFIX); ?>/<?php echo($ARCH); ?>/base</code></dt>
<dd><dl>

<dt class="file"><code>pkglist*</code>, <code>srclist*</code>,
 <code>hashfile</code>, <code>release*</code></dt>
<dd>indices of the contents of <code class="dirname"><?php echo($PREFIX); ?></code> 
directory on this CD &mdash; for <code class="soft-component">APT</code> 
(<kbd class="shell-cmd">apt-cdrom add</kbd>)</dd>
    
<dt class="file"><code>full-plain-index-*</code></dt>
<dd>full lists of the collection of package-files this CD distribution is based on (<kbd class="shell-cmd">diff</kbd>, 
<kbd class="shell-cmd">grep</kbd>, 
<kbd class="shell-cmd">xargs</kbd>, ...). 
If this CD set
contains only the updates (the difference) between two states of the 
full collection, then these plain lists contain the names of all the 
files from the last state of the collection, not only the difference</dd>

</dl></dd>

</dl>

<?php if ( $other_archs != "" ) { ?><p>
There are also supplementary directories with some packages targeted
for other architectures: <code class="dirname"><?php echo($PREFIX); ?>/<?php
echo($other_archs); ?></code>. Their structure is basically the same
as of <code class="dirname"><?php echo($PREFIX); ?>/<?php 
echo($ARCH); ?></code>, but, of course, the 
<code class="filename">srclist*</code> files are not so long, and
<code class="filename">full-plain-index-*</code> are not there (all of
them are placed to the directory for the main architecture:
<code class="dirname"><?php echo($PREFIX); ?>/<?php 
echo($ARCH); ?></code>).
</p><?php } ?>


<address>
<acronym>ALT</acronym> Linux Team 
&lt;<a href="http://www.altlinux.ru/">http://www.altlinux.ru/</a>&gt;
</address>

  <p class="marks">
    <a href="http://validator.w3.org/check/referer"><img
        src="http://www.w3.org/Icons/valid-xhtml11"
        alt="Valid XHTML 1.1!" height="31" width="88" /></a>
  </p>

</body>
</html>
<!--  Local Variables: -->
<!--  mode: Html -->
<!--  End: -->
